import { GraphQLSchema, DocumentNode } from "graphql";
import { IResolvers, SchemaDirectiveVisitor, IResolverValidationOptions, ILogger } from "graphql-tools";
import { IResolversComposerMapping } from "../utils";
export interface MergeSchemasConfig {
    schemas: GraphQLSchema[];
    typeDefs?: (DocumentNode | string)[] | DocumentNode | string;
    resolvers?: IResolvers | IResolvers[];
    resolversComposition?: IResolversComposerMapping;
    schemaDirectives?: {
        [directiveName: string]: typeof SchemaDirectiveVisitor;
    };
    resolverValidationOptions?: IResolverValidationOptions;
    logger?: ILogger;
}
export declare function mergeSchemas({ schemas, typeDefs, resolvers, resolversComposition, schemaDirectives, resolverValidationOptions, logger }: MergeSchemasConfig): GraphQLSchema;
