import { DocumentFromString } from './document-from-string';
import { DocumentsFromGlob } from './documents-from-glob';
export { DocumentFromString } from './document-from-string';
export { DocumentsFromGlob } from './documents-from-glob';
export const loadDocuments = async (documentDef, options = {}, documentsHandlers = [new DocumentFromString(), new DocumentsFromGlob()]) => {
    for (const handler of documentsHandlers) {
        if (await handler.canHandle(documentDef)) {
            return handler.handle(documentDef, options);
        }
    }
    return [];
};
//# sourceMappingURL=index.js.map