import { DocumentNode, GraphQLSchema, IntrospectionQuery } from 'graphql';
import { SchemaLoader } from './schema-loader';
export declare class SchemaFromExport implements SchemaLoader {
    canHandle(pointerToSchema: string): boolean;
    handle(file: string, _options?: any): Promise<GraphQLSchema>;
    isSchemaText(obj: any): obj is string;
    isWrappedSchemaJson(obj: any): obj is {
        data: IntrospectionQuery;
    };
    isSchemaJson(obj: any): obj is IntrospectionQuery;
    isSchemaObject(obj: any): obj is GraphQLSchema;
    isSchemaAst(obj: string | DocumentNode): obj is DocumentNode;
    isPromise(obj: any): obj is Promise<any>;
    resolveSchema(schema: any): Promise<any>;
}
