import { parse } from 'graphql';
import gqlPluck from 'graphql-tag-pluck';
function calculateOptions(options) {
    if (!options || !options.tagPluck) {
        return {};
    }
    // toolkit option's key -> option in graphql-tag-pluck
    const keyMap = {
        modules: 'modules',
        magicComment: 'gqlMagicComment',
        globalIdentifier: 'globalGqlIdentifierName',
    };
    return Object.keys(keyMap).reduce((prev, curr) => {
        const value = options.tagPluck[curr];
        if (value) {
            return Object.assign({}, prev, { [keyMap[curr]]: value });
        }
        return prev;
    }, {});
}
export function extractDocumentStringFromCodeFile(source, options) {
    try {
        const parsed = parse(source.body);
        if (parsed) {
            return source.body;
        }
    }
    catch (e) {
        try {
            return gqlPluck.fromFile.sync(source.name, calculateOptions(options)) || null;
        }
        catch (e) {
            throw new e.constructor(`${e.message} at ${source.name}`);
        }
    }
}
//# sourceMappingURL=extract-document-string-from-code-file.js.map