import { IResolvers } from 'graphql-tools';
export interface IResolversComposerMapping {
    [resolverPath: string]: any | any[];
}
/**
 * Wraps the resolvers object with the resolvers composition objects.
 * Implemented as a simple and basic middleware mechanism.
 *
 * @param resolvers - resolvers object
 * @param mapping - resolvers composition mapping
 * @hidden
 */
export declare function composeResolvers<TSource, TContext>(resolvers: IResolvers<TSource, TContext>, mapping?: IResolversComposerMapping): IResolvers;
