"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const isValidPath = require("is-valid-path");
const graphql_1 = require("graphql");
class DocumentFromString {
    canHandle(doc) {
        if (isValidPath(doc)) {
            return false;
        }
        try {
            graphql_1.parse(doc);
            return true;
        }
        catch (e) {
            return false;
        }
    }
    handle(doc, _options) {
        return [{ filePath: 'document.graphql', content: graphql_1.parse(doc) }];
    }
}
exports.DocumentFromString = DocumentFromString;
//# sourceMappingURL=document-from-string.js.map