"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const document_from_string_1 = require("./document-from-string");
const documents_from_glob_1 = require("./documents-from-glob");
var document_from_string_2 = require("./document-from-string");
exports.DocumentFromString = document_from_string_2.DocumentFromString;
var documents_from_glob_2 = require("./documents-from-glob");
exports.DocumentsFromGlob = documents_from_glob_2.DocumentsFromGlob;
exports.loadDocuments = async (documentDef, options = {}, documentsHandlers = [new document_from_string_1.DocumentFromString(), new documents_from_glob_1.DocumentsFromGlob()]) => {
    for (const handler of documentsHandlers) {
        if (await handler.canHandle(documentDef)) {
            return handler.handle(documentDef, options);
        }
    }
    return [];
};
//# sourceMappingURL=index.js.map