"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_1 = require("graphql");
const graphql_tag_pluck_1 = require("graphql-tag-pluck");
function calculateOptions(options) {
    if (!options || !options.tagPluck) {
        return {};
    }
    // toolkit option's key -> option in graphql-tag-pluck
    const keyMap = {
        modules: 'modules',
        magicComment: 'gqlMagicComment',
        globalIdentifier: 'globalGqlIdentifierName',
    };
    return Object.keys(keyMap).reduce((prev, curr) => {
        const value = options.tagPluck[curr];
        if (value) {
            return Object.assign({}, prev, { [keyMap[curr]]: value });
        }
        return prev;
    }, {});
}
function extractDocumentStringFromCodeFile(source, options) {
    try {
        const parsed = graphql_1.parse(source.body);
        if (parsed) {
            return source.body;
        }
    }
    catch (e) {
        try {
            return graphql_tag_pluck_1.default.fromFile.sync(source.name, calculateOptions(options)) || null;
        }
        catch (e) {
            throw new e.constructor(`${e.message} at ${source.name}`);
        }
    }
}
exports.extractDocumentStringFromCodeFile = extractDocumentStringFromCodeFile;
//# sourceMappingURL=extract-document-string-from-code-file.js.map